#ifndef _SUMO_H_
#define _SUMO_H_

enum sumo_text_type {
	SUMO_TEXT_MSG,		/* bootup message */
	
	/* status messages */
	SUMO_TEXT_SUCCESS,
	SUMO_TEXT_FAILED,
	SUMO_TEXT_MISC
};

#ifdef __cplusplus
extern "C" {
#endif

void sumo_init(int width, int height);
void sumo_set_scaling(int enable);
void sumo_set_dither(int enable);

void sumo_update(void *pixels);

char *sumo_get_text(void);
enum sumo_text_type sumo_get_text_type(void);

void *sumo_get_text_image(void);

void sumo_scr_detect();
int sumo_scr_width();
int sumo_scr_height();
int sumo_scr_bpp();
char *sumo_scr_pixels();
unsigned int sumo_ticks();

#ifdef __cplusplus
}
#endif

#endif	/* _SUMO_H_ */
