#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include "sumo.h"
#include "font.h"

#define W 32
#define H 24

int main(void)
{
	int i, j;
	int cc = 255;
	unsigned int *pixels = malloc(W * H * 4);
	sumo_init(W, H);
	sumo_set_scaling(1);
	sumo_set_dither(1);

	while(1)
	{
		cc++;
		cc%=256;
		for(j=0; j<H; j++)
		{
			for (i=0; i<W; i++)
			{
				unsigned int color = 0;
				int x, y, cx, cy, c;
				cx = i / 8;
				cy = j / 16;
				c = cx + (640 / 8) * cy;
				c = c % 128;
				x = i - 8 * cx;
				y = j - 16 * cy;
				if (font_pixel(c, x, y))
				{
					color = cc << 8;
				}
				else
				{
					color = (j * 255) / (H-1);
					color = (color << 16) | (color << 8) | color;
				}
				pixels[i + W * j] = color;
			}
		}
		sumo_update(pixels);
	}

	return 0;
}
